## com.google.common.io
Interface OutputSupplier<T>

    public interface OutputSupplier<T>

A factory for writable streams of bytes or characters.

Since:
  1.0
Author:
  Chris Nokleberg

Method Summary
`T` `getOutput()` Returns an object that encapsulates a writable resource.

Method Detail

### getOutput

    T getOutput()
                throws IOException

  Returns an object that encapsulates a writable resource.

  Like `Iterable.iterator()`, this method may be called repeatedly to get independent channels to the same underlying resource.

  Where the channel maintains a position within the resource, moving that cursor within one channel should not affect the starting position of channels returned by other calls.

  Throws:
    `IOException`

Copyright © 2010-2012. All Rights Reserved.